Loading...
Searching...
No Matches
GxTheme Class Reference

`#include <gx_main_window.h>`

## Public Member Functions

| GxTheme ()
void | init (gx_system::CmdlineOptions *options_)
bool | set_new_skin (const Glib::ustring &skin_name)
void | update_show_values ()
void | reload_css ()
void | set_window (Gtk::Window *window_)

## Private Member Functions

void | reload_css_post ()

## Private Attributes

gx_system::CmdlineOptions * | options
Glib::RefPtr< Gtk::CssProvider > | css_provider
Glib::RefPtr< Gtk::CssProvider > | css_show_values
Glib::RefPtr< Gtk::StyleContext > | style_context
Gtk::Window * | window
int | window_x
int | window_y

## Detailed Description

Definition at line 29 of file gx_main_window.h.

## Constructor & Destructor Documentation

## GxTheme()

GxTheme::GxTheme | ( |  | ) |

inline

Definition at line 41 of file gx_main_window.h.

## Member Function Documentation

## init()

void GxTheme::init | ( | gx_system::CmdlineOptions * | options_ | ) |

## reload_css()

void GxTheme::reload_css | ( |  | ) |

## reload_css_post()

void GxTheme::reload_css_post | ( |  | ) |

private

## set_new_skin()

bool GxTheme::set_new_skin | ( | const Glib::ustring & | skin_name | ) |

## set_window()

void GxTheme::set_window | ( | Gtk::Window * | window_ | ) |

inline

Definition at line 47 of file gx_main_window.h.

## update_show_values()

void GxTheme::update_show_values | ( |  | ) |

## Member Data Documentation

## css_provider

Glib::RefPtr<Gtk::CssProvider> GxTheme::css_provider

private

Definition at line 32 of file gx_main_window.h.

## css_show_values

Glib::RefPtr<Gtk::CssProvider> GxTheme::css_show_values

private

Definition at line 33 of file gx_main_window.h.

## options

gx_system::CmdlineOptions* GxTheme::options

private

Definition at line 31 of file gx_main_window.h.

## style_context

Glib::RefPtr<Gtk::StyleContext> GxTheme::style_context

private

Definition at line 34 of file gx_main_window.h.

## window

Gtk::Window* GxTheme::window

private

Definition at line 36 of file gx_main_window.h.

Referenced by set_window().

## window_x

int GxTheme::window_x

private

Definition at line 37 of file gx_main_window.h.

## window_y

int GxTheme::window_y

private

Definition at line 37 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h